TITLE 								{ vib21.pde }
   'Eigenstates of a Membrane '       	
{ Vibrations perpendicular to the plane of the membrane }
{ From "Deformation and Vibration" by Gunnar Backstrom }		
SELECT
   modes= 16		errlim=0.01    	plotintegrate= off      	
VARIABLES
   w
DEFINITIONS
   r0= 0.1			freq= sqrt( lambda)
EQUATIONS
   del2( w)+ lambda*w= 0			{ Laplace operator }
BOUNDARIES
region 'membrane'   	
   start(r0,0)
	value(w) = 0  arc to (0,r0) to (-r0,0) to (0,-r0) to close
MONITORS
   contour( w) report( freq)
PLOTS
   contour( w) report( freq)         		surface( w)
END "A5Rx10GOlLhNbpxV4z9aLWLa6nBK7AQ8kNu1NB1uFYjxC+krjQVnu0ZQDzW48M8t/EcO6bS0NICz09mBNlFhbpIYVx8GMPNYaKlNMjMvZPtr8C/Hi2+A+vKMnddboeVVzpa55un3x0ixXURRjHYyl5cQ/pK7Rpj1ra83VBz/mG6"
