{ 2D_SPHERE_IN_CYLINDER.PDE

  2D cylindrical (axi-symmetric) model of an empty sphere in a cylindrical box.

}
 
title '2D sphere in a can'
 
coordinates
    ycylinder("R","Z")  { vertical coordinate is cylinder axis }
 
variables
    u
 
definitions
    k = 1
    R0 = 1
    box = 2*R0
 
equations   
    U: div(k*grad(u)) = 0
 
boundaries
    region 1
        start(0,-box)
        value(u)=0 line to (box,-box)
        natural(u)=0 line to (box,box)
        value(u)=1 line to (0,box)
        natural(u)=0 line to (0,R0)     { cylindrical axis }
            arc(center=0,0) angle=-180  { spherical cutout }
            line to close               { cylindrical axis }
 
monitors
    grid(r,z)
    contour(u)
plots
    grid(r,z)
    contour(u)
 
end "K9novyUM29ZcQIxYmmBZPZSR6Zr1MaVBR1rpbB4TqiZ1sKeZ+Xc5uHEda6c5k1EA5dokDcX6EAXbB1XZsRruNQTTwOdp7nvRupaaXGi+0VRxsIMSF7l475r8DxvVnTh/UYe9C6nYAGIDQd2c2whcKMm0Kh1muolHdu58xVOJ/sY"
