{ BC_SETS.PDE
  This example shows the basic use of boundary condition sets.
}

TITLE 'BC Sets'

COORDINATES cartesian2

VARIABLES u v

BOUNDARY CONDITIONS
  'inlet' : value(u)=1   natural(v)=1
  'outlet': natural(u)=1 value(v)=10
  'side'  : natural(u)=0 natural(v)=0

EQUATIONS
  u: div(grad(u))=0
  v: div(grad(v))=0

BOUNDARIES
  Region 1
    start(0,0) use bc 'side'
    line to (5,0) use bc 'outlet'
    line to (5,1) use bc 'side'
    line to (0,1) use bc 'inlet'
    line to close

PLOTS
  contour(u)
  contour(v)
END "I4mFeo6BbBeNlh+bWRih4AvaJwhl/XBDrnv6LYa0qBxj3XoDa7He5EvM2toYRNfETSbpcZ6eNypmfCrTP2Bdi0DkTbDW6KN/3k68kn7GVTTb4uFZ9ntrQeo4/9kjdd13znHUqMrJ/71jG5kzpPmEXwNeZt+XfbWkACPG2lnAPOH"
