{  MATERIAL_SETS.PDE
 This example shows the basic use of MATERIALS for grouping parameter values.
 There are no variables or equations.
}

Title 'Material Sets - Bricks'

Coordinates cartesian3

Select ngrid = 1 { grid coarsely for plotting example }

Materials  { These values are arbitrary and not intended to reflect the actual physical values for these materials }
    'iron' :     K = 4  J = 1
    'aluminum' : K = 3  J = 2
    'plastic' :  K = 2  J = 3
    'wood' :     K = 1  J = 4

Extrusion z = 0, 1, 2, 3, 4

Boundaries
    Region 1
       Layer 1 use material 'iron'
       Layer 2 use material 'aluminum'
       Layer 3 use material 'plastic'
       Layer 4 use material 'wood'
       start(0,0) line to (1,0) to (1,1) to (0,1) to close

    Region 2
       use material 'iron'
       start(0,1) line to (1,1) to (1,2) to (0,2) to close
Plots
    contour(K) on x=0.5 painted range(0,5)
    contour(J) on x=0.5 painted range(0,5)

End "LA5n9S0haztgyJzDvQcVmXOLnphuDx0iXygjvMPpD6+03uk1/3cQQdv06aJJE8ralMYARrWGc9OUJ0E50t1t6cdZ3QSSQg40h7ylD/CdsWho/vT+yDbIxozwrQ0ClSNCUNNt+6HuroAELdSfpCGHOXa5rBXMhgbigElZ1YMYH3N"
